/**
 * Configuration file for apeman projects.
 * @see https://github.com/apeman-labo/apeman
 */

'use strict'

module.exports = {
  /** Current working directory path */
  get $cwd () {
    return __dirname
  },
  /** Package data. */
  get $pkg () {
    return require('./package.json')
  },
  /** Prototype projects */
  get $proto () {
    return []
  },
  /**
   * apeman tmpl configurations.
   * @see https://github.com/apeman-cmd-labo/apeman-tmpl
   */
  get $tmpls () {
    return {}
  },
  /**
   * apeman task configurations.
   * @see https://github.com/apeman-cmd-labo/apeman-task
   */
  get $tasks () {
    return {}
  },
  /** Note about properties. */
  get $notes () {
    return {}
  },
  /** Commands which need to be installed in advance. */
  get $needs () {
    return {
      'apeman': { how: 'npm install -g apeman' }
    }
  }
}

if (!module.parent) {
  // Execute this file as apeman bin.
  require('apeman').cli(process.argv)
}
